StandardCharsets (Java SE 25 & JDK 25)
Description: declaration: module: java.base, package: java.nio.charset, class: StandardCharsets
Keywords: java.nio.charset.StandardCharsets class

# Class StandardCharsets

java.lang.Object
java.nio.charset.StandardCharsets

public final class StandardCharsets extends Object
Constant definitions for the standard `charsets`. These charsets are guaranteed to be available on every implementation of the Java platform.

Since:
  1.7
See Also:
  - Standard Charsets

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Charset`
  `ISO_8859_1`
  ISO Latin Alphabet No. 1, also known as ISO-LATIN-1.
  `static final Charset`
  `US_ASCII`
  Seven-bit ASCII, also known as ISO646-US, also known as the Basic Latin block of the Unicode character set.
  `static final Charset`
  `UTF_16`
  Sixteen-bit UCS Transformation Format, byte order identified by an optional byte-order mark.
  `static final Charset`
  `UTF_16BE`
  Sixteen-bit UCS Transformation Format, big-endian byte order.
  `static final Charset`
  `UTF_16LE`
  Sixteen-bit UCS Transformation Format, little-endian byte order.
  `static final Charset`
  `UTF_32`
  Thirty-two-bit UCS Transformation Format, byte order identified by an optional byte-order mark.
  `static final Charset`
  `UTF_32BE`
  Thirty-two-bit UCS Transformation Format, big-endian byte order.
  `static final Charset`
  `UTF_32LE`
  Thirty-two-bit UCS Transformation Format, little-endian byte order.
  `static final Charset`
  `UTF_8`
  Eight-bit UCS Transformation Format.

- ## Method Summary

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### US_ASCII

    public static final Charset US_ASCII
    Seven-bit ASCII, also known as ISO646-US, also known as the Basic Latin block of the Unicode character set.

  - ### ISO_8859_1

    public static final Charset ISO_8859_1
    ISO Latin Alphabet No. 1, also known as ISO-LATIN-1.

  - ### UTF_8

    public static final Charset UTF_8
    Eight-bit UCS Transformation Format.

  - ### UTF_16BE

    public static final Charset UTF_16BE
    Sixteen-bit UCS Transformation Format, big-endian byte order.

  - ### UTF_16LE

    public static final Charset UTF_16LE
    Sixteen-bit UCS Transformation Format, little-endian byte order.

  - ### UTF_16

    public static final Charset UTF_16
    Sixteen-bit UCS Transformation Format, byte order identified by an optional byte-order mark.

  - ### UTF_32BE

    public static final Charset UTF_32BE
    Thirty-two-bit UCS Transformation Format, big-endian byte order.
    Since:
      22

  - ### UTF_32LE

    public static final Charset UTF_32LE
    Thirty-two-bit UCS Transformation Format, little-endian byte order.
    Since:
      22

  - ### UTF_32

    public static final Charset UTF_32
    Thirty-two-bit UCS Transformation Format, byte order identified by an optional byte-order mark.
    Since:
      22